#!/usr/bin/env python
#
# genmo.py
# Generate the binary localization files
#
# Author: Brian Bernas

import os, sys

locale_path = os.path.join('locale', '%s', 'LC_MESSAGES')

call = "%s %s" %(sys.executable,
	os.path.join('i18n', 'msgfmt.py -o %s', '%s.mo po', '%s', '%s.po'))


def make_translations(module):
	po_path = os.path.join('po', '%s') %module

	files = os.listdir(po_path)

	for file in files:
		s = os.path.splitext(file)
		if s[1] == '.po':

			# Attempt to create the LC_MESSAGES dir
			lpath = locale_path %s[0]

			if not os.path.isdir(lpath):
				try:
					os.makedirs(lpath)
				except OSError:
					print "Unable to create the output directory: %s.\nExiting..." %lpath
					sys.exit(1)

			print "Compiling %s translation for module: %s." %(file, module)
			os.system(call %((locale_path %s[0]), module, module, s[0]))

def main():
	os.chdir(os.pardir)
	print "Changing to directory: %s" %os.getcwd()

	# All of the files and directories in the 'po' directory
	list = os.listdir('po')

	for l in list:
		if (os.path.isdir(os.path.join('po', '%s') %l)) and (l != "CVS"):
			print "Creating translations for %s." %l
			make_translations(l)
			print

main()
