#!/usr/bin/env python
#
# genpot.py
# Generate the template for internationalization
#
# Author: Brian Bernas

import os, sys

call = "%s %s" %(sys.executable,
	os.path.join('i18n', 'pygettext.py --keyword=N_ -o po', '%s', '%s.pot'))

def make_template(module):
	path = os.path.join('po', '%s') %module
	# Make sure that the 'POTFILES.in' file exists
	print "Verifying the existence of POTFILES.in."
	pf = os.path.join('%s', 'POTFILES.in')
	if os.path.isfile(pf %path):
		file = open(pf %path, 'r')
		lines = file.readlines()	# get the files to include
		file.close()

		files = ''
		for line in lines:
			line = line.strip()
			# The source files must exist
			if os.path.isfile(line):
				files = "%s %s" %(files, line)

		if files:
			# Make the system call
			os.system("%s %s" %(call %(module, module), files))

	else:
		print "POTFILES.in was not found. The template could not be generated."

def main():
	# Enter the main directory
	os.chdir(os.pardir)

	# All of the files and directories in the 'po' directory
	list = os.listdir('po')

	for l in list:
		if (os.path.isdir(os.path.join('po', '%s') %l)) and (l != "CVS"):
			print "Making module template for '%s'." %l
			make_template(l)
			print

# Execute the main function
main()
