# export_html.py
# ToDo Manager
# This software is released under the Python 2.0.1 license
#
# Author: Brian Bernas
#
# Export a task list to an HTML file

# HTML format
def save_html(tasks, file):
	"""Save a task list to an HTML file with most of the formating present from the interface"""

	# Headers
	file.write("<HTML>\n<HEAD>\n<META HTTP-EQUIV=\"Content-Type\" CONTENT=\"text/html; charset=UTF-8\">")
	file.write("\n</HEAD>\n<BODY BGCOLOR=\"#FFFFFF\" TEXT=\"#000000\">\n")
	file.write("<CENTER><TABLE CELLSPACING=1 CELLPADDING=1 BORDER=0 WIDTH=650>\n")
	file.write("<TR BGCOLOR=\"#118CFF\"><TD WIDTH=10></TD><TD><U>Task Name</U></TD>"\
		"<TD ALIGN=\"CENTER\" WIDTH=70><U>Due Date</U></TD><TD ALIGN=\"RIGHT\" WIDTH=130>"\
		"<U>Finished Time</U></TD></TR>\n")

	pcolors = ["#FFFFFF", "#FFDDDD", "#FFBBBB", "#FF5B5B", "#E70000", "#BE0000"]

	# Writing each node
	for task in tasks:

		# Convert newline characters in the notes to line breaks
		notes = task['Notes'].replace('\n', '<BR>')

		file.write("<TR BGCOLOR=\"#DEDEDE\"><TD BGCOLOR=\"%s\" ALIGN=\"CENTER\">%d</TD><TD>"\
			"&nbsp;%s</TD><TD ALIGN=\"CENTER\">%s</TD><TD ALIGN=\"RIGHT\">%s</TD>\n<TR>"\
			"<TD></TD><TD COLSPAN=5><I>%s</I></TD></TR>\n"
			%(pcolors[task["Priority"]], task["Priority"], task["Name"],
				task["DueDate"], task["FinishedDate"], notes))

	# Closing tags
	file.write("</TABLE></CENTER></BODY>\n</HTML>")

def init(plugin):
	plugin['type'] = "file_export"
	plugin['name'] = "HTML File"
	plugin['version'] = "0.5"
	plugin['function'] = save_html
	plugin['format'] = "*.html"
	plugin['description'] = """Export the task list to an HTML file."""
	plugin['author'] = "Brian Bernas"
	plugin['author_email'] = "click81@softhome.net"
