# export_text.py
# ToDo Manager
# This software is released under the Python 2.0.1 license
#
# Author: Brian Bernas
#
# Export a task list to a text file

import string

def save_text(tasks, file):
	"""Save a task list to a plain text file with simple formating"""

	# The headers and what not
	file.write("TODO File\n\n")
	file.write(string.ljust("P", 3))
	file.write(string.ljust("Task Name", 40))
	file.write(string.ljust("Due Date", 12))
	file.write(string.ljust("Finished Time", 18))
	file.write('\n'+('-'*80)+'\n')

	# Each node
	for task in tasks:
		file.write(string.ljust(str(task["Priority"]), 3))
		file.write(string.ljust(task["Name"], 50))
		file.write(string.ljust(task["DueDate"], 10))
		file.write(string.ljust(task["FinishedDate"], 18))
		if task["Notes"]:
			file.write("\n   note:%s" %task["Notes"])
		file.write("\n\n")

def init(plugin):
	plugin['type'] = "file_export"
	plugin['name'] = "Text File"
	plugin['version'] = "0.3"
	plugin['function'] = save_text
	plugin['format'] = "*.txt"
	plugin['description'] = """Export the task list to a plain text file."""
	plugin['author'] = "Brian Bernas"
	plugin['author_email'] = "click81@softhome.net"
