# import_old.py
# ToDo Manager
# This software is released under the Python 2.0.1 license
#
# Author: Brian Bernas
#
# Import old ToDo Manager files (versions 0.20 - 0.25)

import pickle
import plugin
import tdmcalls

def load_old(file):
	"""Loads ToDo Manager files from earlier versions"""

	tasks = []		# Stores the tasks that are read in

	try:
		while 1:
			attrs = pickle.load(file)

			t = plugin.create_blank_task()

			for key, value in attrs.items():
				# Parse the due date and the finished date
				"""
				This shouldn't be built into the file import architecture, but we really shouldn't
				depend on the plugin to handle this either.
				"""
				if (key == "DueDate") or (key == "FinishedDate"):
					value = tdmcalls.strptime("%m/%d/%y %I:%M %p", value)

				t[key] = value

				if key == "FinishedDate" and value:
					t["Finished"] = 1

			tasks.append(t)

	except EOFError: pass

	return tasks

def init(plugin):
	plugin['type'] = "file_import"
	plugin['name'] = "Old ToDo Manager File"
	plugin['version'] = "0.2"
	plugin['function'] = load_old
	plugin['format'] = "*.tmf"
	plugin['description'] = """Load old ToDo Manager files from versions 0.20 to 0.25."""
	plugin['author'] = "Brian Bernas"
	plugin['author_email'] = "click81@softhome.net"
